libzypp: zypp::json::Bool Class Reference

libzypp 17.38.15

zypp::json::Bool Class Reference

`#include <zypp-core/parser/json/JsonBool.h>`

## Public Member Functions
| Bool ()=default
| ~Bool ()=default
| Bool (bool val)
| Bool (const Bool &)=default
| Bool (Bool &&)=default
Bool & | operator= (const Bool &)=default
Bool & | operator= (Bool &&)=default
Bool & | operator= (bool set)
| operator bool () const
std::string | asJSON () const
| JSON representation.
std::ostream & | dumpOn (std::ostream &str) const
| Stream output.

## Private Attributes
bool | _value = false

## Detailed Description

Definition at line 23 of file JsonBool.h.

## Constructor & Destructor Documentation

## ◆ Bool() [1/4]

zypp::json::Bool::Bool | ( |  | ) |
| default

## ◆ ~Bool()

zypp::json::Bool::~Bool | ( |  | ) |
| default

## ◆ Bool() [2/4]

zypp::json::Bool::Bool | ( | bool | val | ) |
| inline

Definition at line 29 of file JsonBool.h.

## ◆ Bool() [3/4]

zypp::json::Bool::Bool | ( | const Bool & |  | ) |
| default

## ◆ Bool() [4/4]

zypp::json::Bool::Bool | ( | Bool && |  | ) |
| default

## Member Function Documentation

## ◆ operator=() [1/3]

Bool & zypp::json::Bool::operator= | ( | const Bool & |  | ) |
| default

## ◆ operator=() [2/3]

Bool & zypp::json::Bool::operator= | ( | Bool && |  | ) |
| default

## ◆ operator=() [3/3]

Bool & zypp::json::Bool::operator= | ( | bool | set | ) |
| inline

Definition at line 36 of file JsonBool.h.

## ◆ operator bool()

zypp::json::Bool::operator bool | ( |  | ) | const
| inline

Definition at line 41 of file JsonBool.h.

## ◆ asJSON()

std::string zypp::json::Bool::asJSON | ( |  | ) | const
| inline

JSON representation.

Definition at line 46 of file JsonBool.h.

## ◆ dumpOn()

std::ostream & zypp::json::Bool::dumpOn | ( | std::ostream & | str | ) | const
| inline

Stream output.

Definition at line 50 of file JsonBool.h.

## Member Data Documentation

## ◆ _value

bool zypp::json::Bool::_value = false
| private

Definition at line 54 of file JsonBool.h.

The documentation for this class was generated from the following file:

- zypp-core/parser/json/JsonBool.h